github-actions[bot] commented on PR #35010:
URL: https://github.com/apache/doris/pull/35010#issuecomment-2116963200
#### `sh-checker report`
To get the full details, please check in the
[job]("https://github.com/apache/doris/actions/runs/9124837824") output.
<details>
<summary>shellcheck errors</summary>
```
'shellcheck ' returned error 1 finding the following syntactical issues:
----------
In bin/profile_fe.sh line 22:
cd "${curdir}/.."
^---------------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... ||
return' in case cd fails.
Did you mean:
cd "${curdir}/.." || exit
In bin/profile_fe.sh line 47:
FE_PID=`jps | grep DorisFE | awk '{print $1}'`
^-- SC2006 (style): Use $(...) notation instead of legacy backticks
`...`.
Did you mean:
FE_PID=$(jps | grep DorisFE | awk '{print $1}')
In bin/profile_fe.sh line 48:
if [[ -z "$FE_PID" ]]; then
^-----^ SC2250 (style): Prefer putting braces around variable
references even when not strictly required.
Did you mean:
if [[ -z "${FE_PID}" ]]; then
In bin/profile_fe.sh line 52:
echo "DorisFE pid: $FE_PID"
^-----^ SC2250 (style): Prefer putting braces around
variable references even when not strictly required.
Did you mean:
echo "DorisFE pid: ${FE_PID}"
In bin/profile_fe.sh line 55:
NOW=`date +'%Y%m%d%H%M%S'`
^--------------------^ SC2006 (style): Use $(...) notation instead of
legacy backticks `...`.
Did you mean:
NOW=$(date +'%Y%m%d%H%M%S')
For more information:
https://www.shellcheck.net/wiki/SC2164 -- Use 'cd ... || exit' or 'cd ...
|...
https://www.shellcheck.net/wiki/SC2006 -- Use $(...) notation instead of
le...
https://www.shellcheck.net/wiki/SC2250 -- Prefer putting braces around
vari...
----------
You can address the above issues in one of three ways:
1. Manually correct the issue in the offending shell script;
2. Disable specific issues by adding the comment:
# shellcheck disable=NNNN
above the line that contains the issue, where NNNN is the error code;
3. Add '-e NNNN' to the SHELLCHECK_OPTS setting in your .yml action file.
```
</details>
<details>
<summary>shfmt errors</summary>
```
'shfmt ' returned error 1 finding the following formatting issues:
----------
--- bin/profile_fe.sh.orig
+++ bin/profile_fe.sh
@@ -44,15 +44,15 @@
exit 1
fi
-FE_PID=`jps | grep DorisFE | awk '{print $1}'`
+FE_PID=$(jps | grep DorisFE | awk '{print $1}')
if [[ -z "$FE_PID" ]]; then
- echo "DorisFe not started"
- exit 1
+ echo "DorisFe not started"
+ exit 1
fi
echo "DorisFE pid: $FE_PID"
mkdir -p "${DORIS_HOME}/log"
-NOW=`date +'%Y%m%d%H%M%S'`
+NOW=$(date +'%Y%m%d%H%M%S')
PROFILE_OUTPUT="${DORIS_HOME}/log/profile_${NOW}.html"
if [[ -z "${PROFILE_SECONDS}" ]]; then
PROFILE_SECONDS="10"
----------
You can reformat the above files to meet shfmt's requirements by typing:
shfmt -w filename
```
</details>
--
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
To unsubscribe, e-mail: [email protected]
For queries about this service, please contact Infrastructure at:
[email protected]
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]